## pgdbf 0.6.3+git20180121.4e84775

=== freebsd/Makefile ===
# Created by: kirk@daycos.com
# $FreeBSD$

PORTNAME=       pgdbf
PORTVERSION=    0.6.2
CATEGORIES=     databases
MASTER_SITES=   SF

MAINTAINER=     kirk@strauser.com
COMMENT=        Convert XBase / FoxPro tables to PostgreSQL

LICENSE=        GPLv3

USE_XZ=         yes

USE_GMAKE=      yes
GNU_CONFIGURE=  yes

MAN1=           pgdbf.1

PLIST_FILES=    bin/pgdbf \
                %%DOCSDIR%%/README
PLIST_DIRS=     %%DOCSDIR%%

.include <bsd.port.pre.mk>

.if ${ARCH} == "ia64" || ${ARCH} == "powerpc" || ${ARCH} == "sparc64"
BROKEN=         Does not compile on ia64, powerpc, or sparc64
.endif

.include <bsd.port.post.mk>

=== web/Makefile ===
all: pgdbf.1.html upload

upload: *.html *.png *.css favicon.ico pgdbf.1.html
	rsync -av $? sourceforgeweb:/home/project-web/pgdbf/htdocs/
	touch upload

pgdbf.1.html: ../doc/pgdbf.man
	man2html < $? > pgdbf.1.html

## pgdbf 0.5.0

=== debian/changelog ===
pgdbf (0.5.0-2) unstable; urgency=low

  * Used minimal dh7 instead of cdbs.
  * Updated my email address.
  * Updated debian/copyright.

 -- Chris Taylor <ctaylor@debian.org>  Mon, 04 Jan 2010 04:56:19 +0000

pgdbf (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Use source format 3.0 (quilt).
  * Bump standards-version.
  * Remove patch 01-README as it is fixed upstream.
  * Rename 02-Man to 01-Man and update.

 -- Chris Taylor <chris@code-monkeys.org>  Sat, 28 Nov 2009 00:21:59 +0000

pgdbf (0.4.6-1) unstable; urgency=low

  * Initial release (Closes: #534334).
  * Patched README in 01-README to fix url.
  * Patched Manpage in 02-Man to fix version number.

 -- Chris Taylor <chris@code-monkeys.org>  Sun, 28 Jun 2009 21:20:13 -0700

=== debian/control ===
Source: pgdbf
Section: database
Priority: optional
Maintainer: Chris Taylor <ctaylor@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, quilt
Standards-Version: 3.8.3
Homepage: http://pgdbf.sourceforge.net/

Package: pgdbf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: postgresql
Description: converter of XBase / FoxPro tables to PostgreSQL
 PgDBF converts XBase databases, particularly FoxPro tables with  memo files,
 into a format that PostgreSQL can directly import. It has no dependencies
 other than standard Unix libraries.
 .
 PgDBF is designed to be incredibly fast and as efficient as possible.

## pgdbf 0.5.1

=== debian/changelog ===
pgdbf (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Rebase 01-Man due to manpage updates.  
  * Bump standards-version.
  * Update date in debian/copyright

 -- Chris Taylor <ctaylor@debian.org>  Sat, 13 Mar 2010 06:59:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Taylor <ctaylor@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, quilt
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://pgdbf.sourceforge.net/
 
 Package: pgdbf

## pgdbf 0.5.4

=== debian/changelog ===
pgdbf (0.5.4-1) unstable; urgency=low

  * New upstream release. 

 -- Chris Taylor <ctaylor@debian.org>  Tue, 07 Dec 2010 01:05:07 +0000

pgdbf (0.5.2-1) unstable; urgency=low

  * New upstream release. 
  * Bump standards-version.

 -- Chris Taylor <ctaylor@debian.org>  Sat, 06 Nov 2010 06:03:40 +0000

## pgdbf 0.5.5

=== debian/changelog ===
pgdbf (0.5.5-1) unstable; urgency=low

  * New upstream release.
  * Updated patch 01-Man.

 -- Chris Taylor <ctaylor@debian.org>  Sun, 06 Feb 2011 08:12:52 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Taylor <ctaylor@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, quilt
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://pgdbf.sourceforge.net/
 
 Package: pgdbf

## pgdbf 0.6.1

=== debian/changelog ===
pgdbf (0.6.1-1ubuntu1) quantal; urgency=low

  * 02-fix-big-endian-builds.patch: The macro used for big-endian had a bug
    in the naming of the passed variable. Fixes FTBFS on powerpc.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 03 Jul 2012 12:15:19 -0400

pgdbf (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards-version.
  * Bumped compat to 9.
  * Bumped versioned build-dep on debhelper to 9.
  * Removed build-dep on quilt.

 -- Chris Taylor <ctaylor@debian.org>  Wed, 02 May 2012 00:38:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pgdbf
 Section: database
 Priority: optional
-Maintainer: Chris Taylor <ctaylor@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, quilt
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Taylor <ctaylor@debian.org>
+Build-Depends: debhelper (>= 9), autotools-dev
+Standards-Version: 3.9.3
 Homepage: http://pgdbf.sourceforge.net/
 
 Package: pgdbf

## pgdbf 0.6.2

=== debian/changelog ===
pgdbf (0.6.2-1ubuntu1) trusty; urgency=low

  * Use autotools-dev helper for newer arches, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 01 Apr 2014 16:16:09 -0400

pgdbf (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version.
  * Update debian/copyright.
    - Update dates.
    - Update author's email address.

 -- Chris Taylor <ctaylor@debian.org>  Sun, 28 Jul 2013 06:26:32 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Chris Taylor <ctaylor@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://pgdbf.sourceforge.net/
 
 Package: pgdbf

=== debian/watch ===
version=3
http://sf.net/pgdbf/pgdbf-(.*)\.tar\.gz

## pgdbf 0.6.3+git20180121.4e84775

=== debian/changelog ===
pgdbf (0.6.3+git20180121.4e84775-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (inclusive latest commit)
    Closes: #857114
  * Maintain package in Salvage team
    Closes: #1093954
  * Point Homepage to Github where development is happening
  * Point watch file to Github
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Propagate hardening options
  * d/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Thu, 13 Feb 2025 11:43:10 +0100

pgdbf (0.6.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (Closes: #727493)

 -- Chen Baozi <baozich@gmail.com>  Fri, 06 Jun 2014 20:01:38 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: pgdbf
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Taylor <ctaylor@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev
-Standards-Version: 3.9.4
-Homepage: http://pgdbf.sourceforge.net/
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Chris Taylor <ctaylor@debian.org>
+Build-Depends: debhelper-compat (= 13),
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/salvage-team/perforate.git
+Vcs-Browser: https://salsa.debian.org/salvage-team/perforate
+Homepage: https://github.com/kstrauser/pgdbf
 
 Package: pgdbf
 Architecture: any

=== debian/watch ===
version=4

opts="mode=git,pretty=0.6.3+git%cd.%h" \
    https://github.com/kstrauser/pgdbf.git HEAD

# unfortunately upstream does not use release tags - at least not for version 0.6.3 on Github
# Old code is at SF
# https://sf.net/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
